# Class ParsedCard<T>

java.lang.Object
uk.ac.starlink.fits.ParsedCard<T>

public class ParsedCard<T> extends Object
Represents a single parsed FITS header card. This is always the representation of a single 80-byte FITS header.

Since:
  4 Mar 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ParsedCard(String key, CardType<T> type, T value, String comment)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getComment()`
Returns the comment text associated with this card.
`String`
`getKey()`
Returns the FITS keyword.
`CardType<T>`
`getType()`
Returns the type of header card.
`T`
`getValue()`
Returns the keyword value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParsedCard

public ParsedCard(String key, CardType<T> type, T value, String comment)
Constructor.

Parameters:
  `key` - FITS keyword
  `type` - type of card
  `value` - header value
  `comment` - comment text

## Method Details

### getKey

public String getKey()
Returns the FITS keyword.

Returns:
  keyword, may be null

### getType

public CardType<T> getType()
Returns the type of header card.

Returns:
  card type

### getValue

public T getValue()
Returns the keyword value.

Returns:
  value, may be null

### getComment

public String getComment()
Returns the comment text associated with this card.

Returns:
  comment, may be null